I have 7.0.2 building from source, using a binary version of GHC 6.12.3, and the GCC 4.4 (gcc44 package from CentOS). GCC 4.1(<meta charset="utf-8">gcc package) that ships with CentOS 5.5. gave me the &quot;relocation error&quot; already detailed at the bottom of <a href="http://hackage.haskell.org/trac/ghc/wiki/Building/Troubleshooting">http://hackage.haskell.org/trac/ghc/wiki/Building/Troubleshooting</a>.<div>
<br></div><div> It would be really neat to have CentOS supported out of the gate, rather than having to install a bootstrapping ghc, to then compile latest ghc, to finally compile latest haskell-platform. Does anyone know of a trusted third-party repo that packages ghc or even better, the haskell-platform for CentOS? I found (<a href="http://pkgs.org/centos-5-rhel-5/nogin-random-x86_64/">http://pkgs.org/centos-5-rhel-5/nogin-random-x86_64/</a>) but I know nothing about who is packaging them.</div>
<div><br></div><div><br></div><div>cheers,</div><div>-kirk</div><div><br><div class="gmail_quote">On Fri, Mar 18, 2011 at 7:40 AM, Tristan Ravitch <span dir="ltr">&lt;<a href="mailto:travitch@cs.wisc.edu">travitch@cs.wisc.edu</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;"><div class="im">On Fri, Mar 18, 2011 at 08:23:10AM +0100, Ketil Malde wrote:<br>
&gt; Tristan Ravitch &lt;<a href="mailto:travitch@cs.wisc.edu">travitch@cs.wisc.edu</a>&gt; writes:<br>
&gt;<br>
&gt; &gt; The ghc7 binaries are compiled against a newer version of glibc than<br>
&gt; &gt; is available on RHEL/CentOS.  It works fine if you compile ghc7 from<br>
&gt; &gt; source yourself (you can use 6.12 for that).<br>
&gt;<br>
&gt; Did it?  I tried to do that, but I got errors about needing -fPIC.  I<br>
&gt; tried to mess with CFLAGS, but couldn&#39;t make it work out.  According to<br>
&gt; somebody on #haskell (I apologize for forgetting whom), the problem was<br>
&gt; really a too old GCC version.<br>
&gt;<br>
<br>
</div>Now that you mention it, I did have to switch to a newer gcc for the<br>
x86_64 build.  I ended up using 4.5.  That part is annoying;  I wasn&#39;t<br>
able to coax the default 4.1.2+patches into generating correct<br>
position-independent code either.<br>
<br>-----BEGIN PGP SIGNATURE-----<br>
Version: GnuPG v1.4.11 (GNU/Linux)<br>
<br>
iEYEARECAAYFAk2DbucACgkQJklRJNuIcWQWjACfcn8B8FFUA0gEMsny2fnGIMoq<br>
wTkAn3O2Qh+0MkJ8uWS3uy4gz1A3xqgj<br>
=cDjP<br>
-----END PGP SIGNATURE-----<br>
<br>_______________________________________________<br>
Haskell-Cafe mailing list<br>
<a href="mailto:Haskell-Cafe@haskell.org">Haskell-Cafe@haskell.org</a><br>
<a href="http://www.haskell.org/mailman/listinfo/haskell-cafe" target="_blank">http://www.haskell.org/mailman/listinfo/haskell-cafe</a><br>
<br></blockquote></div><br><br clear="all"><br>-- <br>⑆<a href="http://gmail.com">gmail.com</a>⑆necrobious⑈<br>
</div>